Subject: bug#46781: read-buffer-completion-ignore-case: who would still be looking for m when they typed M?

From: Tomas Nordin <[email-masked]>
Date: Sun, 07 Mar 2021 14:21:58 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> 積丹尼 Dan Jacobson <[email-masked]> writes:
>
>> $ emacs -nw -Q --eval '(setq read-buffer-completion-ignore-case t)' Makefile murmurfile BLA
>> C-x b                  ;; switch-to-buffer
>> M                      ;; self-insert-command
>> TAB                    ;; minibuffer-complete
>>
>> I am saying that if I typed "m", then offer me both choices.
>>
>> But I have gone through all the trouble of holding down SHIFT, that
>> means I am serious about only matching uppercase M.
>
> Thanks for the recipe for reproduction.
>
> Yes, I also see this behaviour, and it does indeed behave as documented
> (i.e., case is ignored).
>
> But as you say, that's perhaps not optimal behaviour -- in other cases
> like this in Emacs (like isearch), Emacs stops ignoring case if the user
> enters some upper case characters, and that would make sense here too?
>
> Anybody have opinions here?

I think it make sense too. It makes sense to treat users upper-case
query as a request to temporarily respect case. But I am using
ido-switch-buffer so I don't see this problem really.

--
Tomas